Tag by Element not working in locked 3D view

I am trying to tag all rebar in a locked 3D view but am getting an error saying “View does not support annotations” . When I manually tag all within revit, the elements get tagged so I know that the elements can be tagged. Whilst I know I can use the tag all elements feature within Revit to tag everything I want to be able to filter out elements using dynamo and only tag a selection of elements.

Any idea why this may not be working properly?

Are you definitely in a 3D view and not a perspective?

I believe so Paul

Hi Brett,
I have the exact same issue, and I was wondering if you had been able to solve your problem?
Cheers

Well it looks like I also got here, can i hope in any update about this tread?

Can you post what you’re stuck on?

I have the same problem, does the 3d view not support tag using dynamo?

+1. Same problem.

Any solution for this? Anyone?

This thread is over 2 years old at this point and doesn’t have much data in terms of what people were trying to do. Start a new topic and post the RVT and DYN showing where you are stuck.

I found a solution, I will post it here.
Apparently the API method changed in 2016.
I had no luck with OOB nodes.
A python script solved it.

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import*
clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
clr.AddReference('RevitNodes')
import Revit

from Autodesk.Revit.Creation import Document

clr.ImportExtensions(Revit.Elements)
clr.ImportExtensions(Revit.GeometryConversion)

doc = DocumentManager.Instance.CurrentDBDocument
view = IN[0][0]
elem = IN[1]
pts = IN[2]

# The inputs to this node will be stored as a list in the IN variables.
dataEnteringNode = IN
r = []
for e, p in zip(elem, pts):
	d = UnwrapElement(e)
	v = UnwrapElement(view)
	t = IndependentTag.Create(doc, v.Id, Reference(d), False, TagMode.TM_ADDBY_CATEGORY, TagOrientation.Horizontal, p.ToXyz())
	r.append(t)
# Place your code below this line

# Assign your output to the OUT variable.
OUT = r, v
2 Likes

Can you please post a screenshot of your Dynamo nodes? I tried it but the python script gave me an error saying axonometric views is unscriptable. I am using a locked 3D view.
Thanks